# pandas.Series.ptp

`Series.``ptp`(axis=None, skipna=None, level=None, numeric_only=None, **kwargs)
  Returns the difference between the maximum value and the
    minimum value in the object. This is the equivalent of the `numpy.ndarray` method `ptp`.

  Parameters:

  axis : {index (0)}

  skipna : boolean, default True

  > Exclude NA/null values when computing the result.

  level : int or level name, default None

  > If the axis is a MultiIndex (hierarchical), count along a particular level, collapsing into a scalar

  numeric_only : boolean, default None

  > Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data. Not implemented for Series.

  Returns: | ptp : scalar or Series (if level specified)

Scroll To Top